Open Interest by Issue (/derivatives/open_interest_by_issue)
Derivatives open interest by trading issue can be obtained.
Overview
This data provides the daily open interest for each derivative product (futures and options) by issue.
This data is the same as the "Series-By-Series Open Interest Information" file listed on the following website. https://www.jpx.co.jp/english/markets/paid-info-derivatives/reference/02.html
Attention
Information on open interest as of 7:00pm(JST) on each business day is provided around 9:15pm(JST).
Parameter and Response
Derivatives open interest by trading issue can be obtained.
GET https://api.jquants-pro.com/v2/derivatives/open_interest_by_issue
Query Parameters
date*
String
date
(e.g. 2022-01-05 or 20220105)
pagination_key
String
The primary key of the first item that this operation will evaluate. Use the value that was returned for pagination_key in the previous operation.
Headers
Authorization*
String
access key
Data Item
Date
Trade Date
String
YYYY-MM-DD
ExchangeCode
Exchange Code
String
OSE: Osaka Exchange TCM: Tokyo Commodity Exchange
ProductTypeCode
Product Type Code
String
FUT: Futures OOP: Options OOF: Options on futures
ContractMonth
Contract Month
String
YYYY-MM
ProductType
Product Type
String
0: Futures 1: Put 2: Call
StrikePrice
Strike Price
String
OptionType
Option Type
String
AME: American EUR: European blank: Futures series
TradeType
Trade Type
String
CAS: Cash settlement DLV: Physical delivery settlement blank: Gold Rolling-Spot and Platinum Rolling-Spot
FinalSettlementMethod
Final Settlement Method
String
SQ: SQ price DIV: Closing price, Volume-weighted average price, theoretical prices, etc. blank: Information on the total
FuturesContractMonthForExercise
Futures Contract Month for Exercise
String
YYYY-MM
PreviousDayOpenContractQuantity
Previous-day Open Contract Quantity
Number
Same items as Previous-day open contract quantity on sell side, Previous-day open contract quantity on buy side, Previous-day average open interest in the Series-By-Series Open Interest Information distributed by another service.
ExecutionQuantity
Execution Quantity
Number
CloseOutQuantity
Close Out Quantity
Number
AssignedQuantityEtc
Assigned Quantity etc.
Number
Same items as Exercise quantity, etc. in the Series-By-Series Open Interest Information distributed by another service.
CurrentDayOpenContractQuantity
Current-day Open Contract Quantity
Number
Same items as Current-day open contract quantity on sell side, Current-day open contract quantity on buy side, Current-day average open interest in the Series-By-Series Open Interest Information distributed by another service.
SignOfChangeFromThePreviousDayInOpenContracts
Sign of Change from the Previous Day in Open Contracts
String
Same items as Sign of change from the previous day in open contracts on sell side, Sign of change from the previous day in open contracts on buy side, Sign of change from the previous day in average open interest in the Series-By-Series Open Interest Information distributed by another service.
ChangeFromThePreviousDayInOpenContractQuantity
Change from the Previous Day in Open Contract Quantity
Number
Same items as Change from the previous day in open contract quantity on sell side, Change from the previous day in open contract quantity on buy side, Change from the previous day in average open interest in the Series-By-Series Open Interest Information distributed by another service.
QuantityDifferenceBetweenLongAndShort
Quantity Difference between Long and Short
Number
NetType
Net Type
String
The quantity difference between long and short is set. For series-by-series data, the difference is zero and is represented as a blank.
TheDateOfFinalSettlement
the Date of Final Settlement
String
YYYY-MM-DD
ItmOtmSign
ITM/OTM sign
String
I: In-the-money series O: Out-of-the-money series blank: Futures or Information on the total
FinalSettlementPriceEtc
Final Settlement Price etc.
String
AutomaticExerciseFlag
Automatic Exercise Flag
String
1: Automatic exercise 0: Futures or other than automatic exercise
Sample Code
Last updated